#
# spec file for package libbfio
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libbfio
%define lname	libbfio1
%define timestamp 20170123
Version:        0~%timestamp
Release:        bp153.1.15
Summary:        Library to provide basic file input/output abstraction
License:        LGPL-3.0+
Group:          Development/Libraries/C and C++
Url:            https://github.com/libyal/libbfio/wiki
Source:         https://github.com/libyal/libbfio/releases/download/%timestamp/%name-alpha-%timestamp.tar.gz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcdata) >= 20130904
BuildRequires:  pkgconfig(libcerror) >= 20150101
BuildRequires:  pkgconfig(libcfile) >= 20120425
BuildRequires:  pkgconfig(libclocale) >= 20120425
BuildRequires:  pkgconfig(libcnotify) >= 20130609
BuildRequires:  pkgconfig(libcpath) >= 20120425
BuildRequires:  pkgconfig(libcsplit) >= 20130609
BuildRequires:  pkgconfig(libcstring) >= 20150101
BuildRequires:  pkgconfig(libcthreads) >= 20130723
BuildRequires:  pkgconfig(libuna) >= 20120425
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libbfio is used in multiple other libraries like libewf, libmsiecf,
libnk2, libolecf and libpff. It is used to chain I/O to support
file-in-file access.

%package -n %lname
Summary:        Library to provide basic file input/output abstraction
Group:          System/Libraries

%description -n %lname
libbfio is used in multiple other libraries like libewf, libmsiecf,
libnk2, libolecf and libpff. It is used to chain I/O to support
file-in-file access.

%package devel
Summary:        Development files for libbfio, a basic file input/output abstraction library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libbfio is used in multiple other libraries like libewf, libmsiecf,
libnk2, libolecf and libpff. It is used to chain I/O to support
file-in-file access.

This subpackage contains libraries and header files for developing
applications that want to make use of libbfio.

%prep
%setup -qn libbfio-%timestamp

%build
%configure --disable-static --enable-wide-character-type
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_libdir/libbfio.so.1*

%files devel
%defattr(-,root,root)
%_includedir/libbfio*
%_libdir/libbfio.so
%_libdir/pkgconfig/libbfio.pc
%_mandir/man3/libbfio.3*

%changelog
* Wed Feb 15 2017 Greg.Freemyer@gmail.com
- update to v0~20170123
  * no changelog provided
- use libcstring from factory
* Fri Jan 29 2016 Greg.Freemyer@gmail.com
- update to v0~20160108
  * changes to seek
  * added function to remove handle from pool
  * 2016 update
  * merged history from backups
  * updated m4 scripts and msvscpp files
  * update man page: libbfio.3
* Tue Jan  6 2015 Greg.Freemyer@gmail.com
- update to v0~20150101
  * 2015 update - minimal changes
- update URL to the new github site
- replace Source: field with fully defined URL
- remove DL-URL comment
- start using libcerror from OBS, not internal version
- continue to use internal version of libcstring
* Thu Aug 14 2014 Greg.Freemyer@gmail.com
- update to v0~20140105
  * 2014 update
  * updated dependencies
* Wed Oct 23 2013 Greg.Freemyer@gmail.com
- update to v0~20131003
* Thu Oct  3 2013 Greg.Freemyer@gmail.com
- update to v0~20130908
  * worked on tests
  * updated dependencies
- updated dependencies in specfile
* Mon Jul 29 2013 Greg.Freemyer@gmail.com
- update to v0~20130721
  * worked on multi threading support
  * removed open on demand code from seek offset
  * refactored pool to use a cdata array
  * worked on tests
  * updated dependencies
  * fix for compiling with stand-alone version of libcdata
  * fix in .pc.in file
  * worked on git release
  * moved examples to project page
  * removed codegear files
  * remove libbfio_legacy.[ch]
  * 2013 update
- change to gz compression to simplyfy download/convert step
* Mon Apr 22 2013 Greg.Freemyer@gmail.com
- run spec-cleaner, update comment
* Wed Apr  3 2013 jengelh@inai.de
- Initial package (version 0~20121225) for build.opensuse.org
